Subject: bug#25821: closed (Re: bug#25821: grep-3.0 FAILS on Make phase)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Feb 2017 00:36:03 +0000

Your bug report

#25821: grep-3.0 FAILS on Make phase

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25821: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25821
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25821: grep-3.0 FAILS on Make phase
From: Paul Eggert <[email-masked]>
To: [email-masked], Bruno Haible <[email-masked]>
Cc: Gnulib bugs <[email-masked]>, [email-masked]
Date: Mon, 20 Feb 2017 16:35:23 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the bug report <https://bugs.gnu.org/25821>. I'm forwarding this to 
bug-gnulib, as it is apparently a bug in the Gnulib lock module's implementation 
on the Hurd.

This bug does not affect grep per se, as it's a Gnulib test-harness bug and not 
a Grep bug. I'm therefore closing the Grep bug report.

> I´m trying to build 'grep' version 3.0 on Hurd system through Guix package
> manager, in the 'Make' phase i´ve the error:
>
> /-------------------------------------------------------------/
>  CC       localcharset.o
>   CC       glthread/lock.o
> glthread/lock.c: In function 'glthread_rwlock_init_for_glibc':
> glthread/lock.c:53:3: warning: implicit declaration of function
> 'pthread_rwlockattr_setkind_np' [-Wimplicit-function-declaration]
>    err = pthread_rwlockattr_setkind_np (&attributes,
>    ^
> glthread/lock.c:54:40: error: 'PTHREAD_RWLOCK_PREFER_WRITER_NONRECURSIVE_NP'
> undeclared (first use in this function)
>
> PTHREAD_RWLOCK_PREFER_WRITER_NONRECURSIVE_NP);
>                                         ^
> glthread/lock.c:54:40: note: each undeclared identifier is reported only once
> for each function it appears in
> Makefile:1711: recipe for target 'glthread/lock.o' failed
> make[3]: *** [glthread/lock.o] Error 1
> make[3]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0/lib'
> Makefile:1478: recipe for target 'all' failed
> make[2]: *** [all] Error 2
> make[2]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0/lib'
> Makefile:1291: recipe for target 'all-recursive' failed
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0'
> Makefile:1232: recipe for target 'all' failed
> make: *** [all] Error 2
> phase `build' failed after 5.3 seconds
> /-------------------------------------------------------------/
>
> Any ideas that can help me to understand the error?
>
> Attached environment variables file and build log file.
> Thanks

Subject: grep-3.0 FAILS on Make phase
From: [email-masked]
To: [email-masked]
Date: Mon, 20 Feb 2017 16:12:32 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,
I´m trying to build 'grep' version 3.0 on Hurd system through Guix 
package manager, in the 'Make' phase i´ve the error:

/-------------------------------------------------------------/
  CC       localcharset.o
   CC       glthread/lock.o
glthread/lock.c: In function 'glthread_rwlock_init_for_glibc':
glthread/lock.c:53:3: warning: implicit declaration of function 
'pthread_rwlockattr_setkind_np' [-Wimplicit-function-declaration]
    err = pthread_rwlockattr_setkind_np (&attributes,
    ^
glthread/lock.c:54:40: error: 
'PTHREAD_RWLOCK_PREFER_WRITER_NONRECURSIVE_NP' undeclared (first use in 
this function)
                                         
PTHREAD_RWLOCK_PREFER_WRITER_NONRECURSIVE_NP);
                                         ^
glthread/lock.c:54:40: note: each undeclared identifier is reported only 
once for each function it appears in
Makefile:1711: recipe for target 'glthread/lock.o' failed
make[3]: *** [glthread/lock.o] Error 1
make[3]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0/lib'
Makefile:1478: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0/lib'
Makefile:1291: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0'
Makefile:1232: recipe for target 'all' failed
make: *** [all] Error 2
phase `build' failed after 5.3 seconds
/-------------------------------------------------------------/

Any ideas that can help me to understand the error?

Attached environment variables file and build log file.
Thanks